Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.dom.events
Class EventImpl

    java.lang.Object
      weblogic.apache.xerces.dom.events.EventImpl

All Implemented Interfaces:
  Event

Direct Known Subclasses:
  MutationEventImpl

Deprecated. please use JDK supplied XML parsers and transformers

public class EventImpl
extends Object
implements Event

Field Summary
`boolean` | `bubbles` Deprecated.
`boolean` | `cancelable` Deprecated.
`EventTarget` | `currentTarget` Deprecated.
`short` | `eventPhase` Deprecated.
`boolean` | `initialized` Deprecated.
`boolean` | `preventDefault` Deprecated.
`boolean` | `stopPropagation` Deprecated.
`EventTarget` | `target` Deprecated.
`protected long` | `timeStamp` Deprecated.
`String` | `type` Deprecated.

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`EventImpl()` Deprecated.

Method Summary
`boolean` | `getBubbles()` Deprecated.
`boolean` | `getCancelable()` Deprecated.
`EventTarget` | `getCurrentTarget()` Deprecated.
`short` | `getEventPhase()` Deprecated.
`EventTarget` | `getTarget()` Deprecated.
`long` | `getTimeStamp()` Deprecated.
`String` | `getType()` Deprecated.
`void` | `initEvent(String eventTypeArg, boolean canBubbleArg, boolean cancelableArg)` Deprecated. The DOM doesn't deal with constructors, so instead we have an initializer call to set most of the read-only fields.
`void` | `preventDefault()` Deprecated. Prevents any default processing built into the target node from occurring.
`void` | `stopPropagation()` Deprecated. Causes exit from in-progress event dispatch before the next currentTarget is selected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bubbles

    public boolean bubbles

  Deprecated.

### cancelable

    public boolean cancelable

  Deprecated.

### currentTarget

    public EventTarget currentTarget

  Deprecated.

### eventPhase

    public short eventPhase

  Deprecated.

### initialized

    public boolean initialized

  Deprecated.

### preventDefault

    public boolean preventDefault

  Deprecated.

### stopPropagation

    public boolean stopPropagation

  Deprecated.

### target

    public EventTarget target

  Deprecated.

### timeStamp

    protected long timeStamp

  Deprecated.

### type

    public String type

  Deprecated.

Constructor Detail

### EventImpl

    public EventImpl()

  Deprecated.

Method Detail

### getBubbles

    public boolean getBubbles()

  Deprecated.
  Specified by:
    `getBubbles` in interface `Event`
  Returns:
    true iff this Event is of a class and type which supports bubbling. In the generic case, this is True.

### getCancelable

    public boolean getCancelable()

  Deprecated.
  Specified by:
    `getCancelable` in interface `Event`
  Returns:
    true iff this Event is of a class and type which (a) has a Default Behavior in this DOM, and (b)allows cancellation (blocking) of that behavior. In the generic case, this is False.

### getCurrentTarget

    public EventTarget getCurrentTarget()

  Deprecated.
  Specified by:
    `getCurrentTarget` in interface `Event`
  Returns:
    the Node (EventTarget) whose EventListeners are currently being processed. During capture and bubble phases, this may not be the target node.

### getEventPhase

    public short getEventPhase()

  Deprecated.
  Specified by:
    `getEventPhase` in interface `Event`
  Returns:
    the current processing phase for this event -- CAPTURING_PHASE, AT_TARGET, BUBBLING_PHASE. (There may be an internal DEFAULT_PHASE as well, but the users won't see it.)

### getTarget

    public EventTarget getTarget()

  Deprecated.
  Specified by:
    `getTarget` in interface `Event`
  Returns:
    the EventTarget (Node) to which the event was originally dispatched.

### getTimeStamp

    public long getTimeStamp()

  Deprecated.
  Specified by:
    `getTimeStamp` in interface `Event`

### getType

    public String getType()

  Deprecated.
  Specified by:
    `getType` in interface `Event`
  Returns:
    event name as a string

### initEvent

    public void initEvent(String eventTypeArg,
                          boolean canBubbleArg,
                          boolean cancelableArg)

  Deprecated.
  The DOM doesn't deal with constructors, so instead we have an initializer call to set most of the read-only fields. The others are set, and reset, by the event subsystem during dispatch.

  Note that init() -- and the subclass-specific initWhatever() calls -- may be reinvoked. At least one initialization is required; repeated initializations overwrite the event with new values of their parameters.

  Specified by:
    `initEvent` in interface `Event`

### preventDefault

    public void preventDefault()

  Deprecated.
  Prevents any default processing built into the target node from occurring.

  Specified by:
    `preventDefault` in interface `Event`

### stopPropagation

    public void stopPropagation()

  Deprecated.
  Causes exit from in-progress event dispatch before the next currentTarget is selected. Replaces the preventBubble() and preventCapture() methods which were present in early drafts; they may be reintroduced in future levels of the DOM.

  Specified by:
    `stopPropagation` in interface `Event`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD